# import os
import redis
import datetime
from urllib import parse


# 将开发模式和调试模式的配置信息中相同的部分复用
class Config:
    # sql数据库
    # 在连接前将特殊的密码转码再链接即可
    # passowrd = parse.quote_plus('devzysf#!241!668')
    # SQLALCHEMY_DATABASE_URI = "mysql+pymysql://zysfdev:{}@rm-8vbn50m65w332c23aso.mysql.zhangbei.rds.aliyuncs.com/" \
    #                           "mancheng?charset=utf8mb4".format(passowrd)  # 晋城 阿里云
    passowrd = parse.quote_plus('Root@2020')
    SQLALCHEMY_DATABASE_URI = "mysql+pymysql://root:{}@rm-8vbn50m65w332c23aso.mysql.zhangbei.rds.aliyuncs.com/" \
                              "mancheng?charset=utf8mb4".format(passowrd)  # 晋城 阿里云


    SQLALCHEMY_TRACK_MODIFICATIONS = False
    # redis配置信息
    REDIS_HOST = '127.0.0.1'
    REDIS_PORT = 6379
    # REDIS_PASS = "Mypwdty2020!"
    REDIS_PASS = None

    # # ---------------七牛云存储------------------
    # QINIU_ACCESS_KEY = ''  # AK
    # QINIU_SECRET_KEY = ''  # SK
    # QINIU_BUCKET_NAME = ''  # 空间名
    # QINIU_BUCKET_DOMAIN = ''  # 外链域名

    # ---------------session-------------------
    SECRET_KEY = 'WER43TTHYUIP0-[-;IJTRGWFE3EWDAFG*(&REF343'
    TOKEN_EXPIRATION = 43200
    # 保存到session中值的前缀
    SESSION_KEY_PREFIX = 'session'
    # session配置存储到redis中
    SESSION_TYPE = 'redis'
    SESSION_REDIS = redis.StrictRedis(host=REDIS_HOST, port=REDIS_PORT, password=REDIS_PASS)
    SESSION_USE_SIGNER = True
    # 对session_id进行隐藏处理

    # PREMANENT_SESSION_LIFETIME = 60  # 整数表示秒
    # 设置session的有效时间
    # PREMANENT_SESSION_LIFETIME = datetime.timedelta(hours=1)
    PREMANENT_SESSION_LIFETIME = datetime.timedelta(days=1)
    # 请求内容最大长度(上传文件大小控制16M)
    MAX_CONTENT_LENGTH = 16 * 1024 * 1024

    # -----------邮箱--------------
    MAIL_SERVER = 'smtp.163.com'
    MAIL_PORT = 465  # 邮箱服务器端口
    MAIL_USE_SSL = True
    MAIL_USE_TLS = False
    MAIL_USERNAME = 'a289237642@163.com'
    MAIL_PASSWORD = 'a289237642'
    MAIL_DEFAULT_SENDER = 'a289237642@163.com'
    # 邮箱的安全协议（Gmail是TLS，qq和一些别的是SSL）


class DevelopmentConfig(Config):
    '''开发模式配置信息'''
    DEBUG = True


class ProductionConfig(Config):
    '''生产环境配置信息'''
    pass


config_map = {
    # 'develop': DevelopmentConfig,
    'product': ProductionConfig,
}
